import { createRouter, createWebHistory } from 'vue-router';

// 定义路由
const routes = [
    //在这里配置路由
    {
        path: '/',
        name: 'IndexView',
        component: () => import('../views/IndexView.vue'),
        redirect: 'index',
        children: [
            {
                path: 'index',
                name: 'IndexPage',
                component: () => import('../pages/IndexPage.vue'),
            },
        ]
    },
];

// 创建路由实例
const router = createRouter({
    history: createWebHistory(),
    routes,
});

export default router;

